import {
    adminClient,
    customSessionClient,
    inferAdditionalFields,
    multiSessionClient,
    usernameClient,
} from "better-auth/client/plugins";
import type { auth } from "@pkg/logic/domains/auth/config.base";
import { createAuthClient } from "better-auth/svelte";

export const authClient = createAuthClient({
    plugins: [
        usernameClient(),
        adminClient(),
        multiSessionClient(),
        customSessionClient<typeof auth>(),
        inferAdditionalFields<typeof auth>(),
    ],
});
